# mwx::flush

`mwx::stream` の出力バッファをフラッシュする。`flush()` メソッドを呼び出すヘルパークラスへのインスタンス。

```cpp
for (int i = 0; i < 127; ++i) {
    Serial << "hello world! (" << i << ")" << twe::endl << twe::flush;
}
```

* シリアルポートの場合は出力完了までポーリング待ちを行う
* `mwx::simpbuf` バッファの場合は `0x00` を末尾に出力する（サイズは変更しない）


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/v0.1.3/api-reference/classes/twe-stream/twe-flush.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
